name: Cambridge Drupal 10 Install Profile
type: profile
description: 'The standard Drupal 10 setup for Cambridge University Sites.'
core_version_requirement: '^10.3'

# Modules to install to support the profile.
install:
  - drupal:aggregator
  - drupal:announcements_feed
  - drupal:asset_injector
  - drupal:automated_cron
  - drupal:admin_toolbar
  - drupal:admin_toolbar_tools
  - drupal:admin_toolbar_links_access_filter
  - drupal:better_formats
  - drupal:big_pipe
  - drupal:bigmenu
  - drupal:block
  - drupal:block_content
  - drupal:breakpoint
  - cam_admin_ui_tweaks:cam_admin_ui_tweaks
  - cam_twigextension:cam_twigextension
  - drupal:calendar
  - drupal:calendar_datetime
  - drupal:ckeditor
  - drupal:ckeditor5
  - drupal:ckeditor5_paste_filter
  - drupal:ckeditor_media_embed
  - drupal:comment
  - drupal:components
  - drupal:config
  - drupal:config_ignore
  - drupal:config_update
  - drupal:contextual
  - drupal:contact
  - drupal:crop
  - drupal:ctools
  - drupal:ctools_entity_mask
  - drupal:ctools_views
  - drupal:date_recur
  - drupal:date_recur_modular
  - drupal:datetime
  - drupal:datetime_extras
  - drupal:datetime_range
  - drupal:dblog
  - drupal:diff
  - drupal:ds
  - drupal:ds_extras
  - drupal:ds_switch_view_mode
  - drupal:duration_field
  - drupal:decorative_image_widget
  - drupal:default_content
  - drupal:dynamic_page_cache
  - drupal:easy_breadcrumb
  - drupal:editor
  - drupal:entity_embed
  - drupal:entity_reference_revisions
  - drupal:entityqueue
  - drupal:entityqueue_smartqueue
  - drupal:features
  - drupal:features_ui
  - drupal:field
  - drupal:field_group
  - drupal:field_group_migrate
  - drupal:field_ui
  - drupal:field_validation
  - drupal:file
  - drupal:filter
  - drupal:gin_login
  - drupal:gin_toolbar
  - drupal:google_tag
  - drupal:history
  - drupal:help
  - drupal:image
  - drupal:image_widget_crop
  - drupal:label_help
  - drupal:layout_paragraphs
  - drupal:link_description
  - drupal:linkit
  - drupal:image_link_formatter
  - drupal:imageapi_optimize
  - drupal:jquery_ui
  - drupal:jquery_ui_accordion
  - drupal:jquery_ui_autocomplete
  - drupal:jquery_ui_menu
  - drupal:language
  - drupal:layout_discovery
  - drupal:libraries
  - drupal:link
  - drupal:linked_field
  - drupal:locale
  - drupal:masquerade
  - drupal:maxlength
  - drupal:media
  - drupal:media_library
  - drupal:menu_block
  - drupal:menu_item_fields
  - drupal:menu_item_fields_ui
  - drupal:media_migration
  - drupal:media_migration_tools
  - drupal:menu_force
  - drupal:menu_link_content
  - drupal:menu_ui
  - drupal:metatag
  - drupal:navigation
  - drupal:node_title_help_text
  - drupal:nomarkup
  - drupal:node
  - drupal:openid_connect
  - drupal:openid_connect_windows_aad
  - drupal:options
  - drupal:paragraphs
  - drupal:paragraphs_ee
  - drupal:path
  - drupal:pathauto
  - drupal:pathologic
  - drupal:page_cache
  - drupal:redirect
  - drupal:redirect_after_login
  - drupal:sam
  - drupal:schema_metatag
  - drupal:sdc
  - drupal:sdc_display
  - drupal:search
  - drupal:shortcut
  - drupal:simple_menu_permissions
  - drupal:taxonomy
  - drupal:telephone
  - drupal:token
  - drupal:toolbar
  - drupal:tour
  - drupal:twig_tweak
  - drupal:views
  - drupal:viewsreference
  - drupal:views_bulk_operations
  - drupal:views_ui
  - drupal:xmlsitemap
  - drupal:menu_trail_by_path
  - drupal:metatag_dc
  - drupal:metatag_views
  - drupal:migmag
  - drupal:migmag_callback_upgrade
  - drupal:migmag_menu_link_migrate
  - drupal:migmag_process
  - drupal:migmag_process_lookup_replace
  - drupal:migmag_rollbackable
  - drupal:migmag_rollbackable_replace
  - drupal:migrate
  - drupal:migrate_conditions
  - drupal:migrate_drupal
  - drupal:migrate_drupal_ui
  - drupal:migrate_manifest
  - drupal:migrate_plus
  - drupal:migrate_scanner
  - drupal:migrate_tools
  - drupal:migrate_upgrade
  - drupal:module_filter
  - drupal:mysql
  - drupal:nodequeue_migrate
  - drupal:oembed_providers
  - drupal:optional_end_date
  - drupal:paragraphs_jquery_ui_accordion
  - drupal:path_alias
  - drupal:phpass
  - drupal:rdf
  - drupal:realname
  - drupal:responsive_image
  - drupal:responsive_image_link_formatter
  - drupal:role_delegation
  - drupal:scanner
  - drupal:smart_sql_idmap
  - drupal:smart_trim
  - drupal:system
  - drupal:tac_lite
  - drupal:tac_lite_create
  - drupal:taxonomy_menu
  - drupal:text
  - drupal:update
  - drupal:user
  - drupal:view_unpublished
  - drupal:views_menu_children_filter
  - drupal:views_templates
  - drupal:webform
  - drupal:webform_migrate
  - drupal:webform_node
  - drupal:webform_ui

# Required modules
# Note that any dependencies of the modules listed here will be installed automatically.
dependencies:
  - node
  - block
  - views
  - paragraphs
# List any themes that should be installed as part of the profile installation.
# Note that this will not set any theme as the default theme.
themes:
  - olivero
  - claro
  - gin
  - cambridge_tailwind
default_content:
  file:
    - 974b40d0-fd36-4646-b2bc-bb4b45ac4d60

